Page MenuHomePhabricator

Allow RelatedPages to be enabled for subset of users
Closed, ResolvedPublic3 Story Points

Description

We want to deploy and enable Related Pages for 90% users (T154681) but there is no such possibility atm. Implement necessary wiring/configuration setting to allow that.

Event Timeline

pmiazga created this task.Jan 23 2017, 5:48 PM
Restricted Application added a subscriber: Aklapper. Β· View Herald TranscriptJan 23 2017, 5:48 PM
MBinder_WMF set the point value for this task to 3.Jan 23 2017, 6:14 PM
MBinder_WMF added subscribers: ovasileva, MBinder_WMF.

@ovasileva Now that this has an estimate, can it be prioritized or declined? Word has it you wanted an estimate first... :)

Sorry, @ovasileva I still see this task as purple "Needs Triage." Perhaps you prioritized it in a column somewhere? What I meant was "High" or "Normal" etc. :)

Moving back to needs analysis. @ovasileva was still deciding whether this was worth pursuing on Thursday.

ovasileva triaged this task as High priority.Jan 24 2017, 11:35 AM
pmiazga claimed this task.Jan 24 2017, 4:04 PM
pmiazga moved this task from Needs Analysis to Doing on the Reading-Web-Sprint-90-🍌 board.

Change 334716 had a related patch set uploaded (by Pmiazga):
Use mw.experiment to enable related pages only to subset of users

https://gerrit.wikimedia.org/r/334716

phuedx added a subscriber: phuedx.Jan 30 2017, 10:22 AM

^ @Jdlrobson: Why was this moved to Blocked Externally? I couldn't see anything in Gerrit…

It was blocked on the above (stopped any kind of merging) but now that's fixed.

It was blocked on the above (stopped any kind of merging) but now that's fixed.

Thanks for the update πŸ™‚

phuedx reassigned this task from pmiazga to bmansurov.Jan 31 2017, 9:54 AM

This is quite hard to sign off from a product perspective. Over to you @bmansurov!

Change 334716 merged by jenkins-bot:
Use mw.experiment to enable related pages only to subset of users

https://gerrit.wikimedia.org/r/334716

bmansurov closed this task as Resolved.Jan 31 2017, 4:02 PM
bmansurov removed bmansurov as the assignee of this task.

Tested at http://reading-web-staging.wmflabs.org/wiki/1 by setting $wgRelatedArticlesEnabledSamplingRate to 0 and 1.

Upon further testing, I found that the config variable RelatedArticlesEnabledSamplingRate only works on skins that are not supported by BetaFeatures.